com.jscape.inet.mft.subsystems.authentication

## Class AuthenticationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.jscape.inet.mft.subsystems.authentication.AuthenticationException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    InvalidCredentialsException

      public class AuthenticationException
      extends java.lang.Exception

  Authentication error.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationException()`
    `AuthenticationException(java.lang.String message)`
    `AuthenticationException(java.lang.String message, java.lang.Throwable cause)`
    `AuthenticationException(java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthenticationException` | `wrap(java.lang.Throwable e)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationException

          public AuthenticationException()

    - #### AuthenticationException

          public AuthenticationException(java.lang.String message)

    - #### AuthenticationException

          public AuthenticationException(java.lang.String message,
                                         java.lang.Throwable cause)

    - #### AuthenticationException

          public AuthenticationException(java.lang.Throwable cause)

  - ### Method Detail

    - #### wrap

          public static AuthenticationException wrap(java.lang.Throwable e)

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.